TransportServerChannelSupport (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.TransportServerChannelSupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class TransportServerChannelSupport

    java.lang.Object
      org.codehaus.activemq.transport.TransportServerChannelSupport

All Implemented Interfaces:
  Service, TransportServerChannel

Direct Known Subclasses:
  EmberTransportServerChannel, GTransportServerChannel, HttpTransportConnector, JGroupsTransportServerChannel, JRMSTransportServerChannel, MulticastTransportServerChannel, TcpTransportServerChannel, UdpTransportServerChannel, VmTransportServerChannel, ZeroconfTransportConnector

public abstract class TransportServerChannelSupport
extends Object
implements TransportServerChannel

An abstract base class useful for implementation inheritence

Version:
  $Revision: 1.7 $

Constructor Summary
`TransportServerChannelSupport(String url)`
`TransportServerChannelSupport(URI url)`

Method Summary
`protected void` | `addClient(TransportChannel channel)`
`TransportChannelListener` | `getTransportChannelListener()`
`String` | `getUrl()` Returns the URL to connect to this connector
`void` | `setTransportChannelListener(TransportChannelListener listener)` Registers the listener to be used when new clients connect or disconnect
`void` | `setUrl(String url)`
`void` | `start()` start listeneing for events
`void` | `stop()` close the ServerChannel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportServerChannelSupport

    public TransportServerChannelSupport(URI url)

### TransportServerChannelSupport

    public TransportServerChannelSupport(String url)

Method Detail

### start

    public void start()
               throws JMSException

  Description copied from interface: `TransportServerChannel`
  start listeneing for events

  Specified by:
    `start` in interface `TransportServerChannel`
  Throws:
    `JMSException` - if an error occurs

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `TransportServerChannel`
  close the ServerChannel

  Specified by:
    `stop` in interface `TransportServerChannel`
  Throws:
    `JMSException`

### getTransportChannelListener

    public TransportChannelListener getTransportChannelListener()

### setTransportChannelListener

    public void setTransportChannelListener(TransportChannelListener listener)

  Description copied from interface: `TransportServerChannel`
  Registers the listener to be used when new clients connect or disconnect

  Specified by:
    `setTransportChannelListener` in interface `TransportServerChannel`
  Parameters:
    `listener` - the listener to be invoked when a client connects or disconnects

### getUrl

    public String getUrl()

  Description copied from interface: `TransportServerChannel`
  Returns the URL to connect to this connector

  Specified by:
    `getUrl` in interface `TransportServerChannel`

### setUrl

    public void setUrl(String url)

### addClient

    protected void addClient(TransportChannel channel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.